/*
 * lib.d.ts
 * Created by 还有醋v on 2022/5/27.
 * Copyright © 2022 haiyoucuv. All rights reserved.
 */

declare const __ENV__: "development" | "production";
declare const __version__: string;
declare const __buildDate__: string;


/**
 * shader文件类型
 */
declare module '*.vert' {
	const source: string;
	export default source;
}

declare module '*.frag' {
	const source: string;
	export default source;
}
declare module '*.vs' {
	const source: string;
	export default source;
}

declare module '*.fs' {
	const source: string;
	export default source;
}

declare module '*.glsl' {
	const source: string;
	export default source;
}
